package org.maachang.comet.net.nio ;


/**
 * KeepAliveを示す情報.
 * 
 * @version 2008/05/28
 * @author  masahito suzuki
 * @since   MaachangComet 1.1B
 */
public class KeepAliveBean {
    
    /**
     * KeepAlive時間.
     */
    private int time = -1 ;
    
    /**
     * KeepAlive回数.
     */
    private int count = -1 ;
    
    /**
     * コンストラクタ.
     */
    public KeepAliveBean() {
        
    }
    
    /**
     * KeepAlive時間を設定.
     * @param time KeepAlive時間を設定します.
     */
    public void setTime( int time ) {
        this.time = time ;
    }
    
    /**
     * KeepAlive時間を取得.
     * @return int KeepAlive時間が返されます.
     */
    public int getTime() {
        return time ;
    }
    
    /**
     * KeepAlive回数を設定.
     * @param count KeepAlive回数を設定します.
     */
    public void setCount( int count ) {
        this.count = count ;
    }
    
    /**
     * KeepAlive回数を取得.
     * @return int KeepAlive回数が返されます.
     */
    public int getCount() {
        return count ;
    }
    
}
